<template>
  <div class="q-pa-md " style="height: 90vh;">
    <div v-if="!selectedLevel" class="row wrap justify-center q-gutter-lg">
      <div class="full-width text-center q-gutter-lg">
        <q-breadcrumbs>
          <q-breadcrumbs-el label="Home" />
          <q-breadcrumbs-el label="Level Keanggotaan" />
          <q-breadcrumbs-el label="Upgrade Level Keanggotaan" />
        </q-breadcrumbs>
        <q-item-label class="text-h4">
          Upgrade Keanggotaan
        </q-item-label>
      </div>
      <div style="width: 400px; max-width: 400px; min-height: 100px">
        <q-card class="hoverbesar" style="height: 100%">
          <q-img src="https://cdn.quasar.dev/img/parallax2.jpg"  />
          <q-ribbon
            class="q-pb-md text-center border-radius-top"
            size="full"
            background-color="silver"
          >
            <q-item-label class="text-h6">
              Silver
            </q-item-label>
          </q-ribbon>
          <q-card-section>
            <q-btn color="green" label="Free" class="full-width" />
          </q-card-section>
          <q-card-section>
            <q-list bordered separator>
              <q-item clickable v-ripple>
                <q-item-section>Basic User</q-item-section>
              </q-item>
            </q-list>
          </q-card-section>
        </q-card>
      </div>
      <div
        style="width: 400px; max-width: 400px; min-height: 100px"
        v-for="(level, index) in levels"
        v-bind:key="index"
      >
        <q-card class="hoverbesar" style="height: 100%">
          <q-img src="https://cdn.quasar.dev/img/parallax2.jpg"  />
          <q-ribbon
            class="q-pb-md text-center border-radius-top"
            size="full"
            background-color="gold"
            glow
          >
            <q-item-label class="text-h6">
              {{ level.level_name }}
            </q-item-label>
          </q-ribbon>
          <q-card-section>
            <q-btn
              color="blue"
              :label="formatRupiah(level.level_price, 'rupiah')"
              class="full-width"
              @click="selectLevel(index)"
            />
          </q-card-section>
          <q-card-section>
            <q-list bordered separator>
              <q-item
                clickable
                v-ripple
                v-for="(itemAkses, indekss) in level.page_access.split(',')"
                v-bind:key="indekss"
              >
                <q-item-section>
                  {{ itemAkses }}
                </q-item-section>
              </q-item>
            </q-list>
          </q-card-section>
        </q-card>
      </div>
    </div>
    <div v-else>
      <metode-pembayaran-level :level="selectedLevel" />
    </div>
  </div>
</template>

<style src="@quasar/quasar-ui-qribbon/dist/index.css"></style>

<script>
import MetodePembayaranLevel from "components/MetodePembayaranLevel";
import { QRibbon } from '@quasar/quasar-ui-qribbon'

export default {
  name: 'Upgradelevel',
  components: {
    QRibbon,
    MetodePembayaranLevel
  },
  data() {
    return {
      levels: null,
      selectedLevel: null
    }
  },
  beforeMount() {
    this.getActiveLevel()
    this.$emit("gantiJudul", "Upgrade Level Keanggotaan")
  },
  methods: {
    getActiveLevel() {
      this.$axios.get("api/level/active")
      .then(sukses => {
        this.levels = sukses.data.data
      })
    },
    formatRupiah(angka, prefix){
      var number_string = angka.replace(/[^,\d]/g, '').toString(),
        split   		= number_string.split(','),
        sisa     		= split[0].length % 3,
        rupiah     		= split[0].substr(0, sisa),
        ribuan     		= split[0].substr(sisa).match(/\d{3}/gi);
      // tambahkan titik jika yang di input sudah menjadi angka ribuan
      if(ribuan){
        let separator = sisa ? '.' : '';
        rupiah += separator + ribuan.join('.');
      }
      rupiah = split[1] != undefined ? rupiah + ',' + split[1] : rupiah;
      return prefix == undefined ? rupiah : (rupiah ? 'Rp. ' + rupiah : '');
    },
    selectLevel(index) {
      this.selectedLevel = this.levels[index]
    }
  }
}
</script>

<style type="less" scoped>
.hoverbesar:hover {
  transform: scale(1.05) translateZ(0);
  backface-visibility: hidden;
}
</style>
